#!/bin/sh
#
# Input: .btt
# Type: application/x-gzip
# Resource: json
#
# argv[1] = Input object
# argv[2] = Output object
#

PTRACE=/opt/backtrace/bin/ptrace
GZIP=gzip

if test ! -x "$PTRACE"; then
	logger "coronerd requires ptrace to be installed"
	exit 1
fi

${PTRACE} -R --pmap --print-json -b "$1" | ${GZIP} -c > "$2"
exit 0
