#!/bin/sh
#
# Input: .btt
# Type: application/x-gzip
# Resource: txt
#

PTRACE=/opt/backtrace/bin/ptrace
GZIP=gzip

if test ! -x "$PTRACE"; then
	logger "coronerd requires ptrace to be installed"
	exit 1
fi

${PTRACE} -b "$1" | ${GZIP} -c > "$2"
exit 0
